#
#  command.rb
#
#  Created by 阳君 on 17/11/8.
#  Copyright © 2017年 DiDiChuXing. All rights reserved.
#

require 'maptool/gem_version'

module MapTool
    
    # Usage
    class Command < CLAide::Command
        
        DEFAULT_OPTIONS = [['--help', 'Show help banner of specified command'],]
        
        self.abstract_command = true
        self.command = 'maptool'
        self.version = VERSION
        self.description = 'MapTool, the Map developer managment tool.'
        
        def self.options
            if root_command?
                DEFAULT_ROOT_OPTIONS + DEFAULT_OPTIONS
            else
                DEFAULT_OPTIONS
            end
        end
    end

    # Commands
    require 'maptool/dependency/dependency'
    require 'maptool/log/log'
    require 'maptool/release/release'
    require 'maptool/tag/tag'

end

